qdef.h File Reference

Go to the source code of this file.

## Macros

#define | quvi_lobyte(w)
#define | quvi_hibyte(w)
#define | quvi_loword(l)
#define | quvi_hiword(l)

## Typedefs

typedef int(* | quvi_callback_status) (long, void *, void *)
typedef void * | quvi_subtitle_export_t
typedef void * | quvi_subtitle_type_t
typedef void * | quvi_subtitle_lang_t
typedef void * | quvi_http_metainfo_t
typedef void * | quvi_file_ext_t
typedef void * | quvi_playlist_t
typedef void * | quvi_subtitle_t
typedef void * | quvi_resolve_t
typedef void * | quvi_media_t
typedef void * | quvi_scan_t
typedef void * | quvi_t
typedef uint32_t | quvi_word
typedef uint8_t | quvi_byte

## Macro Definition Documentation

## quvi_lobyte

#define quvi_lobyte | ( |  | w | ) |

Value:
((quvi_byte)((uint64_t)(w) & 0xff))
quvi_byte
uint8_t quvi_byte
Definition qdef.h:41

Return low byte

## quvi_hibyte

#define quvi_hibyte | ( |  | w | ) |

Value:
((quvi_byte)((uint64_t)(w) >> 8))

Return high byte

## quvi_loword

#define quvi_loword | ( |  | l | ) |

Value:
((quvi_word)((uint64_t)(l) & 0xffff))
quvi_word
uint32_t quvi_word
Definition qdef.h:40

Return low word

## quvi_hiword

#define quvi_hiword | ( |  | l | ) |

Value:
((quvi_word)((uint64_t)(l) >> 16))

Return high word

## Typedef Documentation

## quvi_callback_status

typedef int(* quvi_callback_status) (long, void *, void *)

Status callback type

## quvi_subtitle_export_t

typedef void* quvi_subtitle_export_t

Subtitle export handle type

## quvi_subtitle_type_t

typedef void* quvi_subtitle_type_t

Subtitle type handle type

## quvi_subtitle_lang_t

typedef void* quvi_subtitle_lang_t

Subtitle language handle type

## quvi_http_metainfo_t

typedef void* quvi_http_metainfo_t

HTTP meta-info type

## quvi_file_ext_t

typedef void* quvi_file_ext_t

File extension type

## quvi_playlist_t

typedef void* quvi_playlist_t

Playlist script type

## quvi_subtitle_t

typedef void* quvi_subtitle_t

Subtitle handle type

## quvi_resolve_t

typedef void* quvi_resolve_t

Resolve type

## quvi_media_t

typedef void* quvi_media_t

Media type

## quvi_scan_t

typedef void* quvi_scan_t

Scan type

## quvi_t

typedef void* quvi_t

Library handle type

## quvi_word

typedef uint32_t quvi_word

Word type

## quvi_byte

typedef uint8_t quvi_byte

Byte type